;Example03.csd
<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 64
nchnls = 2
0dbfs = 1.0

#include "live_loop.udo"
#include "perc_set.udo"
#include "synths.udo"


instr 1
;opcode  loop-name     schedule         instr-name  p3-field  p4(dbamp)  p5(frequencies) bar-size BPM
live_loop "foo",    "0 0.25 0.5 0.75",  "synth1    [0.1 0.3]   -25      [90 92 94 96]",  1,     140
live_loop "bar",    "0 1 1.5",          "drum1     [0.01 0.5 0.05] -31",                  2,     280
live_loop "fux",    "0 1 2 3 3.5",      "kick 0.3 -26 [80 80 95] [0.3 0.5]",              4,     140
endin


instr synth1
aout sweet p4, p5
outs aout, aout
endin

instr drum1
aout perc_set p4, "snare3"
outs aout, aout
endin

instr kick
 idur   = p3
 iamp   = ampdb(p4)
 ifreq  = p5                           
 ifreqr = p6 * ifreq  
 afreq expon ifreq, idur, ifreqr
 aenv   line iamp, idur, 0
 aout poscil aenv, afreq, giSaw, 0.25
 outs aout, aout
endin

</CsInstruments>
<CsScore>
{10000 x
i 1 $x 1
}
</CsScore>
</CsoundSynthesizer>