;Example02.csd
<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 64
nchnls = 2
0dbfs = 1.0

#include "patternizer.udo"
#include "synths.udo"

instr 1
reviver 2 ;revive instrument 2 when 1 pattern round has ended
reviver 3 ;same for instrument 3
endin

instr 2
kTrigger, kOffTrigger, kIndex patternizer 4, 120, "0 1 2 3 3.5"
kFreqs[] fillarray 400, 500, 500, 700
kDurs[]  fillarray 0.1, 0.1, 0.5, 2
schedkwhen kTrigger, 0, 0, 100, 0, kDurs[kIndex % lenarray(kDurs)], kFreqs[kIndex % lenarray(kFreqs)], -24
if kOffTrigger == 1 then
turnoff
endif
endin

instr 3
kTrigger, kOffTrigger, kIndex patternizer 4, 120, "0 5 9 13"
kFreqs[] fillarray 90, 120, 150, 95
kDurs[]  fillarray 5, 4, 3, 6
schedkwhen kTrigger, 0, 0, 100, 0, kDurs[kIndex % lenarray(kDurs)], kFreqs[kIndex % lenarray(kFreqs)], -16
if kOffTrigger == 1 then
turnoff
endif
endin

instr 100 ;giving it a named instrument in this particular example causes instrument number conflicts
aout sweet p5, p4
outs aout, aout
endin
</CsInstruments>
<CsScore>
;Repeating this way
;seems to solve some
;unwanted bugs.
{1000 x
i 1 $x 1
}
</CsScore>
</CsoundSynthesizer>