giSaw       ftgen     0, 0, 2^10, 10, 1, 1/2, 1/3, 1/4, 1/5, 1/6, 1/7, 1/8, 1/9

opcode declick, a, a
ain     xin    
if p3 < 0.2 then
aenv    linseg 0, 0.001, 1, p3 - 0.01, 1, 0.008, 0, 0.01, 0
else
aenv    linseg 0, 0.02, 1, p3 - 0.05, 1, 0.02, 0, 0.01, 0
endif
xout ain * aenv         ; apply envelope and write output
endop

opcode phmod, a, ii
;Simple phase modulator
;Hlödver Sigurdsson
iamp, ifreq xin
iamp = ampdb(iamp)
aut1 phasor ifreq
kline line ifreq, 0.1, ifreq*2
kline2 line ifreq*4, 0.1, ifreq
aut2 phasor ifreq*1.5
aut3 = aut2*aut2*aut1
aut4 = aut2*aut3
aut5 declick aut4*iamp
xout aut5/2
endop

opcode sawtooth, a, ii
iamp, ifreq xin
iamp = ampdb(iamp)
aut oscil iamp, ifreq, giSaw
ares reson aut, ifreq/2, ifreq/3.5
asum sum aut, ares
aut2 declick asum/2
xout aut
endop

opcode sweet, a, ii
iamp, ifreq xin
iamp    =       ampdb(iamp)
kAmpEnv adsr 0.2, 0.01, 1, 2
kFreEnv adsr 0.4, 1.2, 0.7, 2
aSaw1   vco2 iamp, ifreq, 4, 0.5
aSaw2   vco2 iamp, ifreq*1.005, 4, 0.5
aFilt   butlp (aSaw1+aSaw2), kFreEnv*800+600
adecl   linseg 0, 0.02, 1, p3 - 0.05, 1, 0.02, 0, 0.01, 0
aOut = aFilt*kAmpEnv
aOut = aOut*adecl
xout aOut*adecl
endop


